Merge "Increase timeout for removal"

This commit is contained in:
Jenkins 2017-08-16 09:45:01 +00:00 committed by Gerrit Code Review
commit 02601a1295
2 changed files with 2 additions and 2 deletions

View File

@ -193,7 +193,7 @@ function kill_chroot_processes () {
} }
function cleanup_build_dir () { function cleanup_build_dir () {
if ! timeout 5 sh -c " while ! sudo rm -rf $TMP_BUILD_DIR/built; do sleep 1; done"; then if ! timeout 10 sh -c " while ! sudo rm -rf $TMP_BUILD_DIR/built; do sleep 1; done"; then
echo "ERROR: unable to cleanly remove $TMP_BUILD_DIR/built" echo "ERROR: unable to cleanly remove $TMP_BUILD_DIR/built"
exit 1 exit 1
fi fi

View File

@ -95,7 +95,7 @@ function run_d_in_target () {
trap - ERR trap - ERR
check_break after-$1 run_in_target bash check_break after-$1 run_in_target bash
sudo umount -f $TMP_MOUNT_PATH/tmp/in_target.d sudo umount -f $TMP_MOUNT_PATH/tmp/in_target.d
if ! timeout 5 sh -c " while ! sudo rmdir $TMP_MOUNT_PATH/tmp/in_target.d; do sleep 1; done"; then if ! timeout 10 sh -c " while ! sudo rmdir $TMP_MOUNT_PATH/tmp/in_target.d; do sleep 1; done"; then
echo "ERROR: unable to cleanly remove $TMP_MOUNT_PATH/tmp/in_target.d" echo "ERROR: unable to cleanly remove $TMP_MOUNT_PATH/tmp/in_target.d"
exit 1 exit 1
fi fi